# Uses of Interface
javax.tools.JavaCompiler

Packages that use JavaCompiler
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of JavaCompiler in javax.tools

Methods in javax.tools that return JavaCompiler
Modifier and Type
Method
Description
`static JavaCompiler`
ToolProvider.`getSystemJavaCompiler()`
Returns the Java programming language compiler provided with this platform.